import type { RobotGroup, RobotInfo } from '@api/robot';
import type { Meta2dData } from '@meta2d/core';

export interface SceneInfo {
  id: string; // 场景id
  label: string; // 场景名称
}
export interface SceneDetail extends SceneInfo {
  json?: string; // 场景JSON
}

export interface SceneData extends Meta2dData {
  robots?: Array<RobotInfo>;
  robotGroups?: Array<RobotGroup>;
}
